(*  This file contains functions for representing two dimensional shapes. 
    version 1  07-07-99
*)

BeginPackage["PrimaryMath`Shapes`TwoDimensionalShapes`"] ;

LineDrawing::usage=
"LineDrawing[shape_] creates a line drawing of the shape."

RegularPolygon::usage=
"RegularPolygon[numberOfSides_,opts___Rule] returns a regular polygon of the 
specified number of sides."

Options[RegularPolygon] = { VertexRadius -> 1 , VertexStartAngle -> 0 } ;

Begin["`Private`"] ;

LineDrawing[Polygon[pointsList_] ]:= Line[pointsList] ;

RegularPolygon[numberOfSides_,opts___Rule] :=
 Module[ { vertexRadius , vertexStartAngle }
 , { vertexRadius , vertexStartAngle } =
     { VertexRadius , VertexStartAngle } /. {opts} /. Options[RegularPolygon] ;
   Polygon[ 
     Table[ N[vertexRadius] * { Cos[angle] , Sin[angle] }
     , { angle , vertexStartAngle , 2Pi + vertexStartAngle , 2Pi/numberOfSides }
     ]
   ]
 ] ;


End[] ;

EndPackage[] ;