(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      3380,        120]*)
(*NotebookOutlinePosition[      4033,        143]*)
(*  CellTagsIndexPosition[      3989,        139]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["RandomArrangements", "Title"],

Cell["This notebook's file is called RandomArrangements.nb", "SmallText"],

Cell["\<\
The functions in RandomArrangements are written for use in other packages.  \
They concern randomly rearranging the contents of lists.\
\>", "Text"],

Cell[CellGroupData[{

Cell["\<\
Initialisation - execute this section before trying the examples\
\>", "Section"],

Cell[BoxData[
    \(Needs["\<PrimaryMath`Utilities`RandomArrangements`\>"]\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["RandomArrangement", "Section"],

Cell["\<\
RandomArrangement is a function which rearranges in a random manner the order \
of a list passed to it. \
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(RandomArrangement[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10}]\)], "Input"],

Cell[BoxData[
    \({5, 6, 2, 7, 4, 9, 10, 3, 1, 8}\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["RandomCut", "Section"],

Cell["\<\
RandomCut is another function which rearranges the order of a list passed to \
it.  It does it by taking out a randomly selected part of the list and moving \
it to the end of the list.  It repeats this n times, where n is a positive \
integer which is the RandomCut's second argument.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(RandomCut[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10}, 1]\)], "Input"],

Cell[BoxData[
    \({1, 2, 3, 10, 4, 5, 6, 7, 8, 9}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RandomCut[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10}, 5]\)], "Input"],

Cell[BoxData[
    \({6, 7, 10, 8, 9, 1, 2, 3, 4, 5}\)], "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
WindowSize->{486, 618},
WindowMargins->{{0, Automatic}, {Automatic, 5}}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 35, 0, 115, "Title"],
Cell[1777, 53, 73, 0, 28, "SmallText"],
Cell[1853, 55, 158, 3, 52, "Text"],

Cell[CellGroupData[{
Cell[2036, 62, 91, 2, 86, "Section"],
Cell[2130, 66, 87, 1, 30, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2254, 72, 36, 0, 59, "Section"],
Cell[2293, 74, 128, 3, 52, "Text"],

Cell[CellGroupData[{
Cell[2446, 81, 83, 1, 30, "Input"],
Cell[2532, 84, 65, 1, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[2646, 91, 28, 0, 59, "Section"],
Cell[2677, 93, 309, 5, 90, "Text"],

Cell[CellGroupData[{
Cell[3011, 102, 78, 1, 30, "Input"],
Cell[3092, 105, 65, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3194, 111, 78, 1, 30, "Input"],
Cell[3275, 114, 65, 1, 29, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

