(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      7958,        233]*)
(*NotebookOutlinePosition[      8632,        257]*)
(*  CellTagsIndexPosition[      8588,        253]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Mathematics for Primary Schools", "Title"],

Cell["Introduction", "Subtitle"],

Cell["\<\
Welcome to this package of programs and electronic notebooks on subjects in \
the primary school mathematics syllabus.\
\>", "Text"],

Cell["\<\
The package has been written to help teachers prepare material for use in \
their classes.\
\>", "Text"],

Cell[TextData[{
  "The package runs using ",
  StyleBox["Mathematica ",
    FontSlant->"Italic"],
  "version 3.0 or later, which you need to take full advantage of the \
material.\nWith ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " you will be able to experiment with the notebook examples and try new \
examples of your own.  You will also be able to use the notebooks to create \
fresh classroom exercises and examples.\nIf you are not familiar with the \
basics of ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  ", please read an introductory guide, such as \"Getting Started with ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "\".  - A copy of this particular guide was probably included with you ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " installation.\nIf you do not have ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  ", you can still read the material on a Windows PC using ",
  StyleBox["MathReader",
    FontSlant->"Italic"],
  ", which is a reader downloadable from http://www.wolfram.com .   However \
you will not be able to experiment with the examples and you won't be able to \
create new exercises."
}], "Text"],

Cell["\<\
We welcome comments and suggestions for extending and improving the material. \

You can contact us at Mathemagic4u@cs.com .\
\>", "Text"],

Cell[CellGroupData[{

Cell["Please make sure...", "Subtitle"],

Cell[TextData[{
  "If you are using this package for the first time, please make sure that \
the installation instructions in the ReadMe text file in the top level \
directory of PrimaryMath have been carried out.  Otherwise the programs will \
not load correctly, and the documentation will not appear in ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s Help Browser."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["If the examples don't work:", "Subtitle"],

Cell[TextData[{
  "If you are using ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  ", and the examples don't work, please check the following:"
}], "Text"],

Cell["\<\
1) That you have executed the notebook cells which begin with <<, Get or \
Needs.  
These cells load the appropiate programs, and should be executed before \
trying the example.  If you have already tried the example without having \
loaded the programs, you must quit from the kernel (using the menu options \
Kernel/Quit Kernel/local) and then execute the <<,Get or Needs cells.  The \
kernel will automatically restart when you execute these cells.\
\>", "Text"],

Cell["\<\
2) That the package has been installed correctly.  Check with the installer \
of this software that this has been done in accordance with the instructions \
in the section above labelled: \"Please make sure\".\
\>", "Text"],

Cell["\<\
3) That you have entered sensible values for the arguments of the functions.  \
Often, if the functions receive arguments of the wrong type (e.g. negative \
numbers where positive ones are required) the functions will just return \
themselves (unevaluated).  However sometimes, (this can particularly happen \
if the option values are incorrect) complete rubbish can be returned.  In \
this case, check that the arguments are in accord with the tutorials and \
function usage messages.  (Function usage messages are obtained by evaluating \
?<function> where <function> represents the function name.)\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Viewing graphics in notebooks", "Subtitle"],

Cell["\<\
To save space, the application is supplied with all the graphics stripped out \
of the notebooks.  The graphics are easily regenerated by evaluating the \
notebooks.  The affected notebooks have a warning message near the top.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Adapting material", "Subtitle"],

Cell[TextData[{
  "At the moment all the notebooks are in the \
PrimaryMath/Documentation/English folder.  They are placed here so that ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s help documentation system can access them."
}], "Text"],

Cell["\<\
To adapt a notebook for your own requirements, it is recommended that you \
find the notebook in this folder, open it, save it in another folder, and \
adapt the new copy.  This procedure avoids overwriting the distributed \
material.  To help you to find an example notebook, its name appears near the \
top of the notebook.\
\>", "Text"],

Cell[CellGroupData[{

Cell["Printing material", "Section"],

Cell["\<\
Many of the notebooks and programs are designed for teachers to \
semi-automatically generate exercises and examples for their pupils, and \
answer sheets for themselves.  Printing these exercises is most easily done \
by selecting the material generated in the notebooks and printing it.  \
However, for best presentation, often the teacher will have to adjust the \
size of the pictures or mathematics being printed.\
\>", "Text"],

Cell["\<\
For mathematics, this can be done using the notebook Magnification option \
found in the Format menu. \
\>", "Text"],

Cell[TextData[{
  "For pictures and other graphics, the overall size of the picture being \
generated can be changed by using the ImageSize option.  You will often find \
this option being used in the notebooks.  The size of the text can be altered \
using the TextStyle option.  Please refer to ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "'s online help for further information about these options."
}], "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Other sources of material", "Subtitle"],

Cell["\<\
http://www.nrich.maths.org.uk points to a large depository of material, plus \
extensive lists of other web sites. \
\>", "Text"],

Cell["\<\
http://www.bbc.co.uk/education/megamaths contains the BBCs contribution to \
primary school mathematics.\
\>", "Text"]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
WindowSize->{491, 462},
WindowMargins->{{Automatic, 169}, {Automatic, 72}},
Magnification->1
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 48, 0, 170, "Title"],
Cell[1790, 53, 32, 0, 64, "Subtitle"],
Cell[1825, 55, 142, 3, 52, "Text"],
Cell[1970, 60, 114, 3, 33, "Text"],
Cell[2087, 65, 1188, 29, 242, "Text"],
Cell[3278, 96, 148, 4, 52, "Text"],

Cell[CellGroupData[{
Cell[3451, 104, 39, 0, 64, "Subtitle"],
Cell[3493, 106, 393, 8, 90, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3923, 119, 47, 0, 64, "Subtitle"],
Cell[3973, 121, 165, 5, 33, "Text"],
Cell[4141, 128, 475, 8, 128, "Text"],
Cell[4619, 138, 233, 4, 71, "Text"],
Cell[4855, 144, 624, 9, 147, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5516, 158, 49, 0, 64, "Subtitle"],
Cell[5568, 160, 250, 4, 71, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5855, 169, 37, 0, 64, "Subtitle"],
Cell[5895, 171, 252, 6, 52, "Text"],
Cell[6150, 179, 349, 6, 90, "Text"],

Cell[CellGroupData[{
Cell[6524, 189, 36, 0, 59, "Section"],
Cell[6563, 191, 442, 7, 109, "Text"],
Cell[7008, 200, 126, 3, 52, "Text"],
Cell[7137, 205, 426, 8, 90, "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[7612, 219, 45, 0, 64, "Subtitle"],
Cell[7660, 221, 139, 3, 52, "Text"],
Cell[7802, 226, 128, 3, 52, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

